import { AutoMap } from '@automapper/classes';
import { IsBoolean, IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class CreateAdRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  uuid: string;

  @IsBoolean()
  @AutoMap()
  driver: boolean;

  @IsBoolean()
  @AutoMap()
  passenger: boolean;

  @IsNumber()
  @AutoMap()
  frequency: number;

  @IsString()
  @AutoMap()
  fromDate: string;

  @IsString()
  @AutoMap()
  toDate: string;

  @IsString()
  @AutoMap()
  monTime: string;

  @IsString()
  @AutoMap()
  tueTime: string;

  @IsString()
  @AutoMap()
  wedTime: string;

  @IsString()
  @AutoMap()
  thuTime: string;

  @IsString()
  @AutoMap()
  friTime: string;

  @IsString()
  @AutoMap()
  satTime: string;

  @IsString()
  @AutoMap()
  sunTime: string;

  @IsNumber()
  @AutoMap()
  monMargin: number;

  @IsNumber()
  @AutoMap()
  tueMargin: number;

  @IsNumber()
  @AutoMap()
  wedMargin: number;

  @IsNumber()
  @AutoMap()
  thuMargin: number;

  @IsNumber()
  @AutoMap()
  friMargin: number;

  @IsNumber()
  @AutoMap()
  satMargin: number;

  @IsNumber()
  @AutoMap()
  sunMargin: number;

  @IsNumber()
  @AutoMap()
  originType: number;

  @IsNumber()
  @AutoMap()
  destinationType: number;

  @AutoMap()
  waypoints: [];

  @IsNumber()
  @AutoMap()
  seatsDriver: number;

  @IsNumber()
  @AutoMap()
  seatsPassenger: number;

  @IsNumber()
  @AutoMap()
  seatsUsed: number;

  @IsString()
  @AutoMap()
  createdAt: string;

  @IsString()
  @AutoMap()
  updatedAt: string;
}
